org.eclipse.jdt.junit.model

## Interface ITestSuiteElement

All Superinterfaces:
  ITestElement, ITestElementContainer

    public interface ITestSuiteElement
    extends ITestElementContainer

Represents a test suite element.

This interface is not intended to be implemented by clients.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jdt.junit.model.ITestElement

`ITestElement.FailureTrace, ITestElement.ProgressState, ITestElement.Result`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getSuiteTypeName()` Returns the name of the suite.

### Methods inherited from interface org.eclipse.jdt.junit.model.ITestElementContainer

`getChildren`

### Methods inherited from interface org.eclipse.jdt.junit.model.ITestElement

`getElapsedTimeInSeconds, getFailureTrace, getParentContainer, getProgressState, getTestResult, getTestRunSession`

### Method Detail

#### getSuiteTypeName

    String getSuiteTypeName()

Returns the name of the suite. This is either the qualified type name of the suite class, or a custom name if one has been set.

Returns:
  the name of the suite